# emacs-mode: -*- python-*-
import xml.sax.handler
from urllib import *
import urllib
ASKCLI = '/doc2/askcli'
SETCLI = '/doc2/setcli'
DELALLCLI = '/doc2/delallcli'
APTCP_XML = '/tmp/aptcp.xml'
from socket import *
import runtime
class APTCPReciever:
    __module__ = __name__

    def __init__(self):
        self.servSock = None
        self.run_recv_msg = None
        self.xxxx = ''
        self.flag = 0
        self.timer = None



    def start_aptcp_recv(self):
        print 'START AG RENEWAL MSG RECIEVER...'
        self.servSock = socket(AF_INET, SOCK_DGRAM)
        self.servSock.setsockopt(SOL_SOCKET, SO_REUSEADDR, 1)
        self.servSock.bind(('',
         50062))
        import evas
        self.run_recv_msg = runtime.evas.input_add(self.servSock.fileno(), evas.INPUT_READ, self.recv_msg)



    def run_aptcp_recv(self):
        import utils
        self.timer = utils.Timer(60000, self.start_aptcp_recv)



    def recv_msg(self, sock, type):
        try:
            (data, addr,) = self.servSock.recvfrom(1024)
            print '[APTCPReciever]recv addr =',
            print addr
            print '[APTCPReciever]recv data =',
            print data
            if (addr[0] == get_gateway()):
                xxxx = data[0:4]
                if (self.xxxx != xxxx):
                    self.xxxx = xxxx
                    import tiservice
                    tiservice.InitializeCheckAGONforCLI()
                    self.flag = 0
                else:
                    self.flag += 1
                    if (self.flag > 3):
                        self.flag = 0
                        import tiservice
                        tiservice.InitializeCheckAGONforCLI()
        except:
            print '[APTCPReciever]recvfrom ERROR !!!'
            return 
        return True



    def aptcp_close(self):
        print 'APTCPReciever destroy!!!'
        if (self.run_recv_msg != None):
            runtime.evas.input_remove(self.run_recv_msg)
            self.run_recv_msg = None
        self.timer = None
        self.servSock = None
        self.xxxx = ''



    def destroy(self):
        self.aptcp_close()



class AptCfgHandler(xml.sax.handler.ContentHandler):
    __module__ = __name__

    def __init__(self):
        self.errorlist = []
        self.clilist = []
        self.paralist = []
        self.elem_name = ''
        self.errorcode = ''
        self.errorattr = []
        self.cli = ''
        self.cliattr = []
        self.OutboundProxyIP = ''
        self.LineIdentification = ''
        self.SIPkey = ''
        self.SIPDomain = ''
        self.paraattr = []



    def startElement(self, name, attributes):
        self.elem_name = name
        if (name == 'aptcfg:CLI'):
            try:
                self.cliattr.append(attributes['aptcfg:Status'])
            except:
                self.cliattr.append('')
        if (self.elem_name == 'aptcfg:ErrorCode'):
            try:
                self.errorattr.append(attributes['aptcfg:CLI'])
            except:
                self.errorattr.append('')



    def characters(self, data):
        if (self.elem_name == 'aptcfg:ErrorCode'):
            self.errorcode += data.strip()
        elif (self.elem_name == 'aptcfg:CLI'):
            self.cli += data.strip()
        elif (self.elem_name == 'aptcfg:OutboundProxyIP'):
            self.OutboundProxyIP += data.strip()
        elif (self.elem_name == 'aptcfg:LineIdentification'):
            self.LineIdentification += data.strip()
        elif (self.elem_name == 'aptcfg:SIPkey'):
            self.SIPkey += data.strip()
        elif (self.elem_name == 'aptcfg:SIPDomain'):
            self.SIPDomain += data.strip()



    def endElement(self, name):
        if (name == 'aptcfg:ErrorCode'):
            self.errorattr.append(self.errorcode)
            self.errorlist.append(self.errorattr)
            self.errorcode = ''
            self.errorattr = []
        elif (name == 'aptcfg:CLI'):
            self.cliattr.append(self.cli)
            self.clilist.append(self.cliattr)
            self.cli = ''
            self.cliattr = []
        elif (name == 'aptcfg:SIPTerminalParameters'):
            self.paraattr.append(self.OutboundProxyIP)
            self.paraattr.append(self.LineIdentification)
            self.paraattr.append(self.SIPkey)
            self.paraattr.append(self.SIPDomain)
            self.paralist.append(self.paraattr)
            self.OutboundProxyIP = ''
            self.LineIdentification = ''
            self.SIPkey = ''
            self.Domain = ''
            self.paraattr = []


    class ErrHandler(xml.sax.handler.ErrorHandler):
        __module__ = __name__

        def error(self, exception):
            print 'Error occured'



        def fatalError(self, exception):
            print 'fatalError occured'



        def warning(self, exception):
            print 'warning'




import xml.sax

def get_gateway():
    import utils
    from profile import profile
    if (profile.get_profile() == profile.WIFI):
        info = utils.get_dhcpinfo('wlan0')
    else:
        info = utils.get_dhcpinfo('eth0')
    if (info and info['GATEWAY']):
        return info['GATEWAY']
    else:
        return None



def get_base_url():
    return ('http://%s/aptconfig.xml?' % get_gateway())



def send_request_url(windweb_url, cli_list = []):
    urlDict = {'WINDWEB_URL': windweb_url}
    urlparam = urlencode(urlDict)
    for i in range(len(cli_list)):
        if (i != 0):
            cli = ('CLI%s' % str((i + 1)))
        else:
            cli = 'CLI'
        urlDict = {cli: cli_list[i]}
        urlparam = ((urlparam + '&') + urlencode(urlDict))

    url = (get_base_url() + urlparam)
    import os
    if os.path.exists('/usr/etc/aptcp_debug'):
        print '##### using test server'
        test_server = 'http://150.150.141.134/'
        if (windweb_url == ASKCLI):
            url = (test_server + 'askcli.php')
        elif (windweb_url == SETCLI):
            url = (test_server + 'setcli.php')
        elif (windweb_url == DELALLCLI):
            url = 'http://150.150.141.142/a9.xml'
        url = ((url + '?') + urlparam)
    print 'APTCP REQ:',
    print url
    try:
        os.system('/usr/local/bin/app_wd_start 120')
        openurl = urllib.urlopen(url)
        text = openurl.read()
        os.system('/usr/local/bin/app_wd_stop')
        pos = text.find('>')
        text = (((text[:(pos + 1)] + '<TOPTAG4OLD_VERSION>') + text[(pos + 1):]) + '</TOPTAG4OLD_VERSION>')
        temp = open(APTCP_XML, 'w')
        temp.write(text)
        temp.close()
    except:
        print 'OPENURL FAIL'
        return None
    return APTCP_XML



def aptcp_parser(openurl, file = None):
    if ((openurl == None) and (xml == None)):
        return None
    try:
        parser = xml.sax.make_parser()
        aptcfg = AptCfgHandler()
        parser.setContentHandler(aptcfg)
        if file:
            parser.parse(file)
        else:
            parser.parse(APTCP_XML)
    except:
        print 'APTCP_PARSER FAIL'
        return None
    return aptcfg



def prepare_aptcp():
    try:
        import os
        os.unlink(APTCP_XML)
    except:
        pass



def check_aptcp_file(file):
    for i in range(50):
        import os
        import time
        if os.path.exists(file):
            return aptcp_parser(file)
        time.sleep(0.10000000000000001)

    return None



def is_enable_aptcp():
    print 'PROCESS APTCP'
    return True



def send_request_aptcp(url, cli_list = []):
    if is_enable_aptcp():
        file = send_request_url(url, cli_list=cli_list)
    else:
        if (url == ASKCLI):
            server.send_packet('set_provisioning_askcli')
        elif (url == SETCLI):
            server.send_packet(('set_provisioning_setcli | ' + cli_list))
        elif (url == DELALLCLI):
            server.send_packet('set_provisioning_delcli')
        file = APTCP_XML
    return file



def RequestCLI():
    prepare_aptcp()
    file = send_request_aptcp(ASKCLI)
    if (file == None):
        return None
    return check_aptcp_file(file)



def SetCLI(cli):
    prepare_aptcp()
    if (cli == list(cli)):
        file = send_request_aptcp(SETCLI, cli)
    else:
        file = send_request_aptcp(SETCLI, [cli])
    if (file == None):
        return None
    return check_aptcp_file(file)



def DelCLI():
    prepare_aptcp()
    file = send_request_aptcp(DELALLCLI)
    if (file == None):
        return None
    return check_aptcp_file(file)


if (__name__ == '__main__'):
    info = RequestCLI()
    if (info != None):
        if (len(info.errorlist) != 0):
            print 'errorlist:',
            print info.errorlist
        if (len(info.clilist) != 0):
            print 'clilist:',
            print info.clilist
        if (len(info.paralist) != 0):
            print 'PARAMETER :',
            print info.paralist
    info = SetCLI('1234')
    if (info != None):
        if (len(info.errorlist) != 0):
            print 'errorlist:',
            print info.errorlist
        if (len(info.clilist) != 0):
            print 'clilist:',
            print info.clilist
        if (len(info.paralist) != 0):
            print 'PARAMETER :',
            print info.paralist
    info = SetCLI(['1234',
     '5678'])
    if (info != None):
        if (len(info.errorlist) != 0):
            print 'errorlist:',
            print info.errorlist
        if (len(info.clilist) != 0):
            print 'clilist:',
            print info.clilist
        if (len(info.paralist) != 0):
            print 'PARAMETER :',
            print info.paralist
    info = DelCLI()
    if (info != None):
        if (len(info.errorlist) != 0):
            print 'errorlist:',
            print info.errorlist
        if (len(info.clilist) != 0):
            print 'clilist:',
            print info.clilist
        if (len(info.paralist) != 0):
            print 'PARAMETER :',
            print info.paralist

# local variables:
# tab-width: 4
